package br.shmem.server;

import java.net.*;
import br.shmem.*;
import java.io.*;

/**
 *
 * @author  crolmos & tminc
 */
public class PlainConnection implements Runnable {
    
    Server server;
    Socket socket;
    ServerCommLayer commLayer;
    
    public PlainConnection(Server server, Socket socket) {
        this.server = server;
        this.socket = socket;
        commLayer = server.getCommLayer();
    }
    
    public void run() {
        try {
            ObjectInputStream in = new ObjectInputStream(socket.getInputStream());
            Message inMessage = (Message)in.readObject();
            
            if(inMessage.getType() != Message.LOGIN) {
                ObjectOutputStream out = new ObjectOutputStream(socket.getOutputStream());
                out.writeObject(Message.createError(Message.LOGIN, "Message type shoud be LOGIN."));
                out.flush();
                out.close();
                if(server.isDebugging()) {
                    System.out.println("Plain Socket: Wrong type of message received...");
                }
            }
            else 
                commLayer.login(socket, inMessage.getHostId());
            
            in.close();
        }
        catch(IOException e) {
            System.err.println(e);
        }
        catch(ClassNotFoundException e) {
            System.err.println(e);
        }
        catch(CommLayerException e) {
            System.err.println(e);
        }
    }
}
