/*
 * SharedObjectDescriptor.java
 *
 * Created on 11 de Novembro de 2001, 23:56
 */

package br.shmem.util;

import br.shmem.*;
import java.io.Serializable;
import javax.swing.*;

/**
 *
 * @author  crolmos & tminc
 */
public class SharedObjectDescriptor implements Serializable {
    
    private String globalName;
    private TimeStamp stamp;
    private boolean canWrite;
    private long lease;
    private String referenceClassName;

    public SharedObjectDescriptor(SharedObject obj) {
	globalName = obj.getGlobalName();
	stamp = obj.getTimeStamp();
	canWrite = obj.canWrite();
	lease = obj.getLeaseTime();
	referenceClassName = obj.getReferenceClassName();	
    }

    public String getGlobalName(){
	return globalName;	
    }
 
    public TimeStamp getTimeStamp(){
	return stamp;
    }

    public boolean getCanWrite(){
	return canWrite;
    }

    public long getLeaseTime(){
	return lease;
    }

    public String getReferenceClassName(){
	return referenceClassName;
    }
    
}
